BlackBerry Desktop Software Online Help

  • Connections
  • Application loader
  • Backup and restore
  • Synchronization
  • Manage media files
  • Device switch wizard
  • IP Modem
  • Check for BlackBerry Desktop Manager updates
  • Abbreviation list
  • Legal notice

Copyright © 2010 Research In Motion Limited | Support

 BlackBerry logo


Connections

  • Connect your device to your computer using a USB connection
  • Prerequisites: Bluetooth connections
  • Connect your device to your computer using Bluetooth technology
  • Connections troubleshooting
Parent topic: BlackBerry Desktop Software Online Help


Connect your device to your computer using a USB connection

  1. Connect the large end of the USB cable to a USB port on your computer.
  2. Connect the small end of the USB cable to the USB port on the side of your BlackBerry® device.
  3. Open the BlackBerry® Desktop Manager.
  4. Click Options.
  5. Click Connection options.
  6. In the Connections drop-down list, click your USB connection.
  7. Click OK.
Parent topic: Connections


Prerequisites: Bluetooth connections

  • Verify that your BlackBerry® device is running BlackBerry® Device Software version 4.1 or later.
  • Verify that your computer is running Microsoft® Windows® XP Service Pack 2 or later. For more information about the Bluetooth® adapters that are supported in Microsoft Windows XP Service Pack 2 or later, visit www.blackberry.com/support.
  • Verify that your computer is paired with your BlackBerry device. For more information about pairing, click Help on your device.
Parent topic: Connections


Connect your device to your computer using Bluetooth technology

  1. Open the BlackBerry® Desktop Manager.
  2. On the Options menu, click Connection options.
  3. Select the Turn on Bluetooth support check box.
  4. Perform one of the following actions:
    • If your BlackBerry device is paired with your computer, in the Connection type drop-down list, click Bluetooth.
    • If your device is not paired with your computer, click Configure Bluetooth. Click Add. In the Bluetooth devices list, click your device. Click OK.
  5. In the Connection Options dialog box, click OK.
Parent topic: Connections


Connections troubleshooting

  • My computer cannot detect my device
  • The connection status is incorrect
Parent topic: Connections


My computer cannot detect my device

Try performing the following actions:
  • Verify that your BlackBerry® device is connected to your computer.
  • Verify that the USB cable or the cradle that you are using to connect your device to your computer is not damaged.
  • If you are trying to connect your device to your computer using Bluetooth® technology, verify that your device is within range of your computer (a typical range is approximately 10 m).
  • Turn off synchronization applications or anti-virus applications temporarily.
  • Verify that you are not running software that scans the communications ports on your computer.
Parent topic: Connections troubleshooting


The connection status is incorrect

Try performing the following actions:
  • If the BlackBerry® Desktop Manager status bar indicates that your device is connected when your BlackBerry device is not connected to your computer, connect your device and disconnect it again. If the status bar continues indicate that your device is connected, restart the BlackBerry Desktop Manager.
  • If the BlackBerry Desktop Manager status bar displays "None" when your device is connected to your computer, on the Connection settings screen, verify that the correct communications port is selected. Your computer might have reassigned the communications port that you are using to connect your device to your computer.
Parent topic: Connections troubleshooting


Application loader

  • Add or update device applications
  • Delete an application from your device
  • Update the BlackBerry Device Software
  • Receive notifications for BlackBerry Device Software updates
  • Application loader troubleshooting
Parent topic: BlackBerry Desktop Software Online Help


Add or update device applications

CAUTION:
Adding a version of an application to your BlackBerry® device that is older than the BlackBerry® Device Software on your device might cause your device to malfunction or perform in a nonoptimal manner and might negatively affect the warranty applicable to your device.
  1. Connect your device to your computer.
  2. Open the BlackBerry® Desktop Manager.
  3. Click Application Loader.
  4. Click Start in Add/Remove Applications or Update Software.
  5. If necessary, perform the following actions:
    • If the Device Security Password dialog box appears, type your device password. Click Next.
    • If the Communication Port Selection dialog box appears, specify a communications port. Click Next.
  6. Click Next.
  7. Perform any of the following actions:
    • To add an application that appears in the list, select the check box beside the application.
    • To add an application that does not appear in the list, click Browse. Double-click an application loader (.alx or .ali) file.
  8. Click Next.
  9. Click Finish.
Parent topic: Application loader


Delete an application from your device

  1. Connect your BlackBerry® device to your computer.
  2. Open the BlackBerry® Desktop Manager.
  3. Click Application Loader.
  4. Click Start in Add/Remove Applications.
  5. If necessary, perform the following actions:
    • If the Device Security Password dialog box appears, type your device password. Click Next.
    • If the Communication Port Selection dialog box appears, specify a communications port. Click Next.
  6. Click Next.
  7. Perform one of the following actions:
    • To delete an application from your device, clear the check box beside the application.
    • To delete an application from your device and the BlackBerry® Desktop Software, click the application. Click Delete.
  8. Click Next.
  9. Click Finish.
Parent topic: Application loader


Update the BlackBerry Device Software

Before you begin: Verify that your administrator or wireless service provider has provided you with a link to the BlackBerry® Device Software.
  1. Close the BlackBerry Desktop Manager if it is open.
  2. Download the BlackBerry Device Software.
  3. Double-click the BlackBerry Device Software setup program file on your computer.
  4. Complete the instructions on the screen.
  5. Connect your BlackBerry device to your computer.
  6. Open the BlackBerry Desktop Manager.
  7. Click Update Now.
  8. Complete the instructions on the screen.
Parent topic: Application loader


Receive notifications for BlackBerry Device Software updates

If you sign up to receive notifications, when a new version of the BlackBerry® Device Software becomes available, you are notified with an email message.
  1. Connect your BlackBerry device to your computer.
  2. Open the BlackBerry® Desktop Manager.
  3. Click Application Loader.
  4. Click Notifications for software updates
  5. Perform one of the following actions:
    • To sign up for notifications, click Yes, sign me up now. Type your email address.
    • To change the email address that you receive notifications to, click Change email address. Type a new email address.
  6. Click Next.
  7. Click Main menu.
After you finish: To cancel notifications for BlackBerry Device Software updates, on the Manage update notifications screen, click Unsubscribe from update notifications.
Parent topic: Application loader


Application loader troubleshooting

  • I cannot add, update, or delete device applications
  • Error messages: Application loader
Parent topic: Application loader


I cannot add, update, or delete device applications

If your BlackBerry® device is associated with an email account that uses a BlackBerry® Enterprise Server, your organization might not permit you to add, update, or delete device applications. For more information, contact your administrator.
Parent topic: Application loader troubleshooting


Error messages: Application loader

Insufficient application space
This message appears if your BlackBerry® device does not have enough available memory to add the applications that you have selected. Select fewer applications to add to your device or delete messages and organizer data from your device to increase available memory.
No additional applications designed for your device were found
This message appears if you try to add an application that is not compatible with your device or is already on your device.
The device is unable to accommodate the requested configuration
This message appears if your device does not have enough available memory to add the applications that you have selected. Select fewer applications to add to your device or delete old messages and organizer data from your device to increase available memory.
Parent topic: Application loader troubleshooting


Backup and restore

  • Back up device data
  • Schedule automatic backups
  • Restore device data
  • Backup and restore troubleshooting
Parent topic: BlackBerry Desktop Software Online Help


Back up device data

Before you begin:

To back up data that is stored in your on-board device memory, mass storage mode must be turned on.

  1. Connect your BlackBerry® device to your computer.
  2. Open the BlackBerry® Desktop Manager.
  3. Click Backup and Restore.
  4. Perform one of the following actions:
    • To back up all your device data, click Back up.
    • To encrypt the data, click Options. Click Encrypt backup data. Click OK. Click Back up. Type a password.
    • To back up specific device data, click Advanced. In the Device databases section, click a database. Click the left arrow icon. On the File menu, click Save As.
    • To back up on-board device memory, click Options. Click Back up on-board device memory. Click OK. Click Back up.
Parent topic: Backup and restore


Schedule automatic backups

  1. Connect your BlackBerry® device to your computer.
  2. Open the BlackBerry® Desktop Manager.
  3. Click Backup and Restore.
  4. Click Options.
  5. Select the Back up my device every xx days check box.
  6. If necessary, change the number of days between each automatic backup.
  7. Click OK.
Parent topic: Backup and restore


Restore device data

Before you begin:

To restore on-board device memory, mass storage mode must be turned on.

CAUTION:
When you restore data to your device, all files in the on-board device memory and device memory are deleted before the backup file is restored.
  1. Connect your BlackBerry® device to your computer.
  2. Open the BlackBerry® Desktop Manager.
  3. Click Backup and Restore.
  4. Perform one of the following actions:
    • To restore all the device data in a backup file, click Restore. Double-click an .ipd backup file. If the backup file is encrypted, type the password that you set during encryption.
    • To restore specific device data in a backup file, click Advanced. On the File menu, click Open. Double-click an .ipd backup file. In the Desktop file databases section, click a database. Click the right arrow icon.
Parent topic: Backup and restore


Backup and restore troubleshooting

  • I cannot restore a database to my device
  • Error messages: Backup and restore
Parent topic: Backup and restore


I cannot restore a database to my device

Try performing the following actions:
  • If the database that you are trying to restore appears dimmed in the Device Databases section and the right arrow icon is not available, verify that a version of the database exists on your BlackBerry® device.
  • Verify that your device has enough available memory to store the database. The amount of memory that appears beside the database file in the Desktop File Databases section might differ from the amount of memory required to store the database on your device. The amount of memory required to store the database on your device might differ from the amount of memory required to store the database on your computer.
Parent topic: Backup and restore troubleshooting


Error messages: Backup and restore

File could not be opened
This message appears if you try to open a file that was not saved using the backup and restore tool.
File could not be saved
This message appears if your computer does not have enough available memory to store a file. It also appears if you try to save a file to a read-only folder.
The data was not recognized by the device
This message appears if you try to restore data to your BlackBerry® device for an application that is not on your device.
The device is out of memory
This message appears if your device does not have enough available memory to store the data that you are trying to restore. Delete old messages or organizer data items from your device to increase available memory.
The requested operation was not recognized by the device
This message appears if your device is not connected to your computer, or your device and the BlackBerry® Desktop Software are using incompatible BlackBerry® Device Software versions.
There was a communication error between the device and the desktop manager
This message appears if your device is not connected to your computer. It also appears if your device and the BlackBerry Desktop Software are using incompatible BlackBerry Device Software versions.
Transfer could not be completed because the desktop and device software are not compatible
This message appears if you update the BlackBerry Device Software in the BlackBerry Desktop Software without updating the BlackBerry Device Software on your device. Update the BlackBerry Device Software on your device using the application loader tool of the BlackBerry® Desktop Manager.
Unable to update the device
This message appears if your device is not connected to your computer. It also appears if your device and the BlackBerry Desktop Software are using incompatible BlackBerry Device Software versions.
Parent topic: Backup and restore troubleshooting


Synchronization

  • Synchronization basics
  • Synchronization settings
  • Synchronization troubleshooting
Parent topic: BlackBerry Desktop Software Online Help


Synchronization basics

  • About synchronization
  • Prerequisites: Data synchronization
  • Set up organizer data synchronization
  • Set up synchronization for third-party application data
  • Synchronize data between your device and your computer
  • Update the date and time on your device
Parent topic: Synchronization


About synchronization

You can synchronize organizer data (contacts, calendar entries, tasks, and memos) between your BlackBerry® device and the email application on your computer. If wireless data synchronization is available for your device, you can synchronize your organizer data over the wireless network. If wireless data synchronization is not available for your device, or you have turned it off, you can synchronize your organizer data using the BlackBerry® Desktop Software.

Parent topic: Synchronization basics


Prerequisites: Data synchronization

  • To set up synchronization, you must have an active Internet connection.
  • To synchronize organizer data, verify that you have set up organizer data synchronization.
  • To synchronize third-party application data, verify that you have set up third-party application data synchronization.
  • If wireless data synchronization is available for your BlackBerry® device, but you want to synchronize your organizer data using the BlackBerry® Desktop Manager, verify that wireless data synchronization is turned off on your device. Click Help on your device for more information about wireless data synchronization.
Parent topic: Synchronization basics


Set up organizer data synchronization

  1. Connect your BlackBerry® device to your computer.
  2. Open the BlackBerry® Desktop Manager.
  3. Click Synchronize.
  4. In the left pane, click Configure > Synchronization.
  5. Click Synchronization.
  6. Select the check box beside an organizer application.
  7. Click Setup.
  8. In the Available desktop applications list, click the organizer application on your computer.
  9. Click Next.
  10. Select the synchronization options.
  11. Click Next.
  12. Click Finish.
  13. To set up organizer data synchronization for another organizer application, repeat steps 5 to 12.
Parent topic: Synchronization basics


Set up synchronization for third-party application data

  1. Open the BlackBerry® Desktop Manager.
  2. Click Synchronize.
  3. In the left pane, click Configure > Add-ins.
  4. Select the check box beside an add-in component for a third-party application.
  5. Click Configure.
Parent topic: Synchronization basics


Synchronize data between your device and your computer

  1. Connect your BlackBerry® device to your computer.
  2. Open the BlackBerry® Desktop Manager.
  3. Click Synchronize.
  4. Select the check box beside one or more actions.
  5. Click Synchronize.
Parent topic: Synchronization basics


Update the date and time on your device

You can update the date and time on your BlackBerry® device to match the date and time on your computer.
  1. Connect your device to your computer.
  2. Open the BlackBerry® Desktop Manager.
  3. Click Synchronize.
  4. Select the Update device date and time check box.
  5. Click Synchronize.
Parent topic: Synchronization basics


Synchronization settings

  • Turn on automatic synchronization
  • Change the location of the configuration file for organizer data synchronization
  • Reset options for organizer data synchronization
  • Synchronize all tasks during synchronization
  • Manage organizer data synchronization conflicts
  • Set up for importing or exporting organizer data using an ASCII data file
  • Export organizer data from your device to your computer using an ASCII data file
  • Import organizer data from your computer to your device using an ASCII data file
  • About ASCII data files
  • ASCII organizer data field mappings
  • Change which calendar entries to synchronize during synchronization
  • Synchronize data in custom address book fields during synchronization
Parent topic: Synchronization


Turn on automatic synchronization

If you turn on automatic synchronization, synchronization starts automatically each time that you connect your BlackBerry® device to your computer.
  1. Connect your device to your computer.
  2. Open the BlackBerry® Desktop Manager.
  3. Click Synchronize.
  4. Select the check box beside one or more actions.
  5. In the Synchronize automatically section, select the check box.
Parent topic: Synchronization settings


Change the location of the configuration file for organizer data synchronization

  1. Connect your BlackBerry® device to your computer.
  2. Open the BlackBerry® Desktop Manager.
  3. Click Options.
  4. Click Data folder options.
  5. In the New Folder Location section, select the Use this specified folder option.
  6. Specify a folder.
  7. Click OK.
If you specify a folder that has a name other than BlackBerry, your computer creates a BlackBerry subfolder.
Parent topic: Synchronization settings


Reset options for organizer data synchronization

If you reset options for organizer data synchronization, you restore the default synchronization options for the organizer application on your computer.
  1. Open the BlackBerry® Desktop Manager.
  2. Click Synchronize.
  3. In the left pane, click Configure > Synchronization.
  4. Click Reset configuration.
Parent topic: Synchronization settings


Synchronize all tasks during synchronization

  1. Connect your BlackBerry® device to your computer.
  2. Open the BlackBerry® Desktop Manager.
  3. Click Synchronize.
  4. In the left pane, click Configure > Synchronization.
  5. Click Synchronization.
  6. Select the Tasks check box.
  7. Click Setup.
  8. Select your desktop application.
  9. Click Next.
  10. Select an option for the synchronization direction.
  11. Click Next.
  12. In the Calendar date range section, select an option for transferring items.
  13. Click Next.
  14. Click Finish.
Parent topic: Synchronization settings


Manage organizer data synchronization conflicts

You can set different conflict resolution options for contacts, calendar entries, tasks, and memos.
  1. Connect your BlackBerry® device to your computer.
  2. Open the BlackBerry® Desktop Manager.
  3. Click Synchronize.
  4. In the left pane, click Configure > Synchronization.
  5. Click Synchronization.
  6. Select the check box beside an organizer application.
  7. Click Advanced.
  8. Click the tab for the organizer application.
  9. Click Conflict Resolution.
  10. Select a conflict resolution option.
  11. Click OK.
Parent topic: Synchronization settings


Set up for importing or exporting organizer data using an ASCII data file

  1. Connect your BlackBerry® device to your computer.
  2. Open the BlackBerry® Desktop Manager.
  3. Click Synchronize.
  4. In the left pane, click Configure > Synchronization.
  5. Click Synchronization.
  6. Select the check box beside an organizer application.
  7. Click Setup.
  8. In the Available desktop applications list, click ASCII Importer/Exporter.
  9. Click Next.
  10. Select the synchronization options.
  11. Click Next.
  12. Click Options. Select a character to separate the fields.
  13. Click OK.
  14. In the Calendar Date Range section, select a transfer option.
  15. Click Browse. Navigate to the database file for the ASCII Importer/Exporter connector.
  16. Click Next.
  17. Click Finish.
Parent topic: Synchronization settings


Export organizer data from your device to your computer using an ASCII data file

Before you begin: Verify that you have set options for importing and exporting organizer data using an ASCII data file and that you have created an ASCII data file to export data to.
  1. Connect your BlackBerry® device to your computer.
  2. Open the BlackBerry® Desktop Manager.
  3. Click Synchronize.
  4. In the left pane, click Configure > Synchronization.
  5. Click Synchronization.
  6. Select the check box beside an organizer application.
  7. Click Choose.
  8. Select ASCII Importer/Exporter.
  9. Select the Export option.
  10. Specify an ASCII data file.
  11. On the Synchronize screen, on the Synchronize tab, select the Synchronize organizer data check box.
  12. Click Synchronize.
Parent topic: Synchronization settings


Import organizer data from your computer to your device using an ASCII data file

Before you begin: Verify that you have set options for importing and exporting organizer data using an ASCII data file and that you have created an ASCII data file to export data to.
  1. Connect your BlackBerry® device to your computer.
  2. Open the BlackBerry® Desktop Manager.
  3. Click Synchronize.
  4. In the left pane, click Configure > Synchronization.
  5. Click Synchronization.
  6. Select the check box beside an organizer application.
  7. Click Choose.
  8. Select ASCII Importer/Exporter.
  9. Select the Import option.
  10. Specify an ASCII data file.
  11. On the Synchronize screen, on the Synchronize tab, select the Synchronize organizer data check box.
  12. Click Synchronize.
Parent topic: Synchronization settings


About ASCII data files

You can use an ASCII data file to transfer data between an organizer application on your BlackBerry® device and an organizer application on your computer. When you export data from an organizer application on your device, the field names that appear in the organizer application on your device appear as column labels in the ASCII data file. When you export data from an organizer application on your computer, these field names do not appear in the ASCII data file. Before you import the data to the organizer application on your device, you must label the columns in the ASCII data file using the field names that appear in the organizer application on your device.

Example:

"Last Name","First Name","Company Name", "",

"Wahl","Tanya","Research In Motion Limited", "",

Parent topic: Synchronization settings


ASCII organizer data field mappings

Address Book

Calendar

MemoPad

Tasks

"First/Middle Name"

"First Name"

"Middle Name"

"Last Name"

"Title"

"Company Name"

"Work Phone"

"Work Phone 2"

"Home Phone"

"Home Phone 2"

"Other Phone"

"Work Fax"

"Mobile Phone"

"PIN"

"Pager"

"Internet Address1"

"Internet Address2"

"Internet Address3"

"Address1"

"Address2"

"Address3"

"City"

"State/Prov"

"Zip/Postal Code"

"Country"

"Home Address1"

"Home Address2"

"Home Address3"

"Home City"

"Home State/Prov"

"Home Zip/Postal Code"

"Home Country"

"Notes"

"Interactive handheld"

"1-way Pager"

"User Defined 1"

"User Defined 2"

"User Defined 3"

"User Defined 4"

"Salutation"

"Web Address"

"Direct Connect"

"Categories"

"Pictures"

"Birthday"

"Anniversary"

"Nickname"

"Mobile Phone 2"

"Home Fax"

"Description Title"

"Notes"

"Location"

"Alarm Date"

"Alarm Time"

"Start Date"

"Start Time"

"End Date"

"End Time"

"Alarm Flag"

"Free Busy"

"Attendees"

"Private"

"Note Title"

"Note Body"

"Categories"

"Title"

"Notes"

"Due Date"

"Priority"

"Completed Flag"

"Status"

"Due Time"

"Alarm Date"

"Alarm Time"

"Alarm Flag"

"Categories"

"Start Date"

"Start Time"
Note: Quotation marks separated by commas represent blank fields.
Parent topic: Synchronization settings


Change which calendar entries to synchronize during synchronization

  1. Connect your BlackBerry® device to your computer.
  2. Open the BlackBerry® Desktop Manager.
  3. Click Synchronize.
  4. In the left pane, click Configure > Synchronization.
  5. Click Synchronization.
  6. Select the Calendar check box.
  7. Click Setup.
  8. Select the synchronization direction.
  9. Click Next.
  10. Select the calendar date range to transfer all items.
  11. Click Next.
  12. Click Finish.
Parent topic: Synchronization settings


Synchronize data in custom address book fields during synchronization

  1. Connect your BlackBerry® device to your computer.
  2. Open the BlackBerry® Desktop Manager.
  3. Click Synchronize.
  4. In the left pane, click Configure > Synchronization.
  5. Click Synchronization.
  6. Select the Address Book check box.
  7. Click Advanced.
  8. On the Address Book tab, click Map Fields.
  9. Complete the instructions on the screen.
  10. Click OK.
Parent topic: Synchronization settings


Synchronization troubleshooting

  • Organizer data that I deleted on my device reappears on my device after synchronization
  • Some organizer data does not appear on my device after synchronization
  • Duplicate organizer data fields appear on my device after synchronization
  • I am not receiving notification of organizer data synchronization conflicts
  • Organizer data is truncated after synchronization
  • Duplicate email message folders appear on my device after synchronization
  • Some organizer data is not synchronizing correctly when I use an ASCII data file
  • Synchronization stopped unexpectedly
  • Error messages: Synchronization
Parent topic: Synchronization


Organizer data that I deleted on my device reappears on my device after synchronization

If you synchronize your organizer data using the synchronization tool of the BlackBerry® Desktop Manager, the organizer data on your computer replaces the organizer data on your BlackBerry device. If you have not deleted organizer data from your computer that you have deleted from your device, the deleted data reappears on your device after synchronization.
To prevent deleted organizer data from reappearing on your device, delete the data on your computer before synchronization.
Parent topic: Synchronization troubleshooting


Some organizer data does not appear on my device after synchronization

Try performing the following actions:
  • Check the conflict resolution options for contacts, calendar entries, tasks, and memos. In the advanced settings for each organizer application, verify that the Ignore all conflicting items option is not selected.
  • If some tasks are not appearing on your BlackBerry® device, in the advanced settings for task synchronization, verify that the Transfer All Items option is selected.
  • If some calendar entries are not appearing on your device, in the advanced settings for calendar synchronization, verify that the Transfer All scheduled items or Transfer only Future items option is selected.
  • If some calendar entries are not appearing on your device, verify that these calendar entries are not appointments and meetings that you manage for someone else. If you use Microsoft® Outlook® to manage someone else's calendar, that person's appointments and meetings do not appear on your device.
Parent topic: Synchronization troubleshooting


Duplicate organizer data fields appear on my device after synchronization

Try performing the following actions:
  • In the advanced settings for each organizer application, verify that the Add all conflicting items and Ignore all conflicting items options are not selected.
  • Verify that the field mapping for each organizer application is correct.
  • In the advanced settings for address book synchronization, verify that both First Name and Middle Name fields in your organizer application are mapped to the First Name field on your BlackBerry® device.
Parent topic: Synchronization troubleshooting


I am not receiving notification of organizer data synchronization conflicts

Check the conflict resolution options for contacts, calendar entries, tasks, and memos. In the advanced settings for each organizer application, verify that the Notify me when conflicts occur option is selected.
Parent topic: Synchronization troubleshooting


Organizer data is truncated after synchronization

During synchronization, data that is too long might be truncated.
Try performing the following actions:
  • If you do not want truncated data to replace existing data during synchronization, in the advanced settings for each organizer application, verify that the Notify me when conflicts occur option is selected.
  • Keep descriptions in calendar entries brief.
Parent topic: Synchronization troubleshooting


Duplicate email message folders appear on my device after synchronization

If your BlackBerry® device is associated with a Microsoft® Outlook® email account and you are using the BlackBerry® Desktop Redirector to forward email messages to your device, duplicate email message folders might appear if you reconcile email messages in a personal email message folder.
To prevent duplicate email message folders from appearing on your device, stop reconciling email messages in personal email message folders.
Parent topic: Synchronization troubleshooting


Some organizer data is not synchronizing correctly when I use an ASCII data file

Try performing the following actions:
  • If you use custom address book fields on your BlackBerry® device, verify that the column labels for these custom address book fields in the ASCII data file are User Defined 1, User Defined 2, User Defined 3, and User Defined 4.
  • If you are exporting organizer data from more than one organizer application, verify that you are exporting the organizer data for each application to a different ASCII data file. Specify a unique file name for each of these ASCII data files.
  • If recurring calendar entries are not synchronizing correctly, change the calendar entries after you import the ASCII data file.
Parent topic: Synchronization troubleshooting


Synchronization stopped unexpectedly

If you are running an antivirus application on your computer, close the application temporarily and try synchronizing again.
Parent topic: Synchronization troubleshooting


Error messages: Synchronization

Invalid configuration
This message appears if the configuration file for organizer data synchronization is corrupt. Try resetting your options for organizer data synchronization.
Insufficient disk space
This message appears if your BlackBerry device does not have enough available memory to complete the synchronization. Try deleting old messages and organizer data from your device to increase available memory.
No applications configured for synchronization
This message appears if you have not set up organizer data synchronization.
Parent topic: Synchronization troubleshooting


Manage media files

  • About the media manager tool
  • Transfer a file between your device and your computer
  • About BlackBerry Media Sync
  • Open BlackBerry Media Sync
Parent topic: BlackBerry Desktop Software Online Help


About the media manager tool

Use the media manager tool of the BlackBerry® Desktop Manager to transfer files between your computer and your BlackBerry device in an optimized format. You can transfer files between your computer and your device memory, or if a supported media card is inserted in your device, you can transfer files between your computer and your media card.

You can also use the media manager tool to add, delete, rename, or open media files and folders on your device.

Parent topic: Manage media files


Transfer a file between your device and your computer

  1. Connect your BlackBerry® device to your computer.
  2. Open the BlackBerry® Desktop Manager.
  3. Click Media.
  4. In the Media Manager section, click Launch.
  5. In the left pane, click the Folders tab.
  6. Drag a file or folder from one location to another.
After you finish: For more information about transferring and managing media files, see the online help that is available in the Roxio® Media Manager.
Parent topic: Manage media files


About BlackBerry Media Sync

You can use BlackBerry® Media Sync to transfer and synchronize music files between your computer and your BlackBerry device.

If your device is running BlackBerry® Device Software version 4.6 or if a supported media card is inserted in your device, you can transfer files between your computer and your device. You can also use this application to synchronize music and playlists from your iTunes® library or Windows Media® Player library.

For more information about transferring and managing music files, see the online help that is available in the BlackBerry Media Sync application.

Parent topic: Manage media files


Open BlackBerry Media Sync

  1. Open the BlackBerry® Desktop Manager.
  2. Click Media.
  3. In the BlackBerry Media Sync section, click Launch.
Parent topic: Manage media files


Device switch wizard

  • About the device switch wizard
  • Prerequisites: Device switch wizard
  • Switch devices
Parent topic: BlackBerry Desktop Software Online Help


About the device switch wizard

Use the device switch wizard to import data from a BlackBerry® device, Palm® device, or Windows Mobile® powered device to a new BlackBerry device.

If you switch BlackBerry devices, the device switch wizard is designed to import supported email messages, organizer data, third-party applications, and BlackBerry® Enterprise Server connection options from your current device to your new device.

If you switch from a Palm device or a Windows Mobile powered device to a BlackBerry device, the device switch wizard is designed to import your organizer data from your current supported device to your new BlackBerry device.

Parent topic: Device switch wizard


Prerequisites: Device switch wizard

  • If you are switching from a Palm device to a BlackBerry device, verify that your Palm device synchronizes with Palm Desktop version 4.0.1, Palm Desktop version 4.1, Palm Desktop version 4.1.4, or Palm Desktop version 6.0.1. Verify that the Palm Desktop is installed on your computer.
  • If you are switching from a Windows Mobile powered device to a BlackBerry device, verify that Microsoft ActiveSync® is installed on your computer and that your Windows Mobile powered device is running Windows Mobile 2005/5.0 for Pocket PC, Windows Mobile 2003 SE for Pocket PC, Windows Mobile 2003 for Pocket PC, Windows Mobile 2002 for Pocket PC, Windows Mobile 2000 for Pocket PC, Windows Mobile SmartPhone software 2003 SE, Windows Mobile SmartPhone software 2003, or Windows Mobile SmartPhone software 2002.
Parent topic: Device switch wizard


Switch devices

Before you begin: Verify that you have installed the most recent version of the BlackBerry® Desktop Software.
  1. Connect your current device to your computer.
  2. Open the BlackBerry® Desktop Manager.
  3. Click Device Switch Wizard.
  4. Click Start.
  5. Complete the instructions on the screen.
After you finish: If you are switching from a BlackBerry device that is associated with the BlackBerry® Internet Service, on your new BlackBerry device, in the setup wizard, open the email setup screen. Update your device PIN.
Parent topic: Device switch wizard


IP Modem

  • About using your device as a modem
  • Set up your modem connection settings
  • Connect to the Internet using your device as a modem
Parent topic: BlackBerry Desktop Software Online Help


About using your device as a modem

Depending on your wireless service provider, you can use your BlackBerry® device as modem by connecting it to your computer using a USB cable. Using your device as modem allows you to connect to the Internet on your computer when you might not otherwise have access to the Internet.

You can use only one device as a modem with your computer at a time. If your device is associated with a BlackBerry® Enterprise Server, contact your administrator to make sure that the appropriate IT policy is turned on to use this feature.

Parent topic: IP Modem


Set up your modem connection settings

You must set up your modem connection settings before you can use your BlackBerry® device as a modem.
  1. Connect your device to your computer.
  2. Open the BlackBerry® Desktop Manager.
  3. Click IP Modem.
  4. Click Configure.
  5. Perform one of the following action:
    • If your wireless service provider appears in the Connection Profile drop-down list, click their profile. In the Profiles Settings section, type any required information that is not included in the profile. For more information, contact your wireless service provider.
    • If your wireless service provider does not appear in the Connection Profile drop-down list, click Add Custom Profile. Type a name for the profile. Contact your wireless service provider to determine the information that is required in the Profiles Settings section. Required information can vary for each wireless service provider.
  6. If necessary, click Save.
  7. If you want to keep using your device as a modem even after you close the BlackBerry Desktop Manager, select the Keep an IP Modem connection open after the BlackBerry Desktop Manager is closed check box.
  8. Click OK.
Parent topic: IP Modem


Connect to the Internet using your device as a modem

Before you begin: To perform this task, you must first set up your modem connections settings to create a profile.
  1. Connect your BlackBerry® device to your computer.
  2. Open the BlackBerry® Desktop Manager.
  3. Click IP Modem.
  4. Click Connect.
  5. Launch your email application to access your messages or your browser to access the Internet.
Your Internet connection status is displayed on the lower-left area of the screen.
After you finish: To end the connection, in the IP Modem section of the BlackBerry Desktop Manager, click Disconnect. If your BlackBerry Desktop Manager is already closed, you can also end the connection by clicking the Dial-Up icon in the notification area of the Windows® taskbar.
Parent topic: IP Modem


Check for BlackBerry Desktop Manager updates

  1. Open the BlackBerry® Desktop Manager.
  2. On the Help menu, click Check for updates.
  3. To install an update, select the check box beside the update. Click Install.
  4. If necessary, perform one of the following actions:
    • To check for updates automatically, click the icon on the upper-right side of the screen. Select the Check for updates automatically check box. Set the notification options. Click OK.
    • To stop checking for updates automatically, click the icon on the upper-right side of the screen. Clear the Check for updates automatically check box. Click OK.
    • To check for updates manually, click Check for updates.
Parent topic: BlackBerry Desktop Software Online Help


Abbreviation list

ASCII
American Standard Code for Information Interchange
BCC
Blind carbon copy
BIOS
Basic input/output system
BPS
Bits per second
CC
Carbon copy
USB
Universal Serial Bus
Parent topic: BlackBerry Desktop Software Online Help


Legal notice

©2010 Research In Motion Limited. All rights reserved. BlackBerry®, RIM®, Research In Motion®, SureType®, SurePress™ and related trademarks, names, and logos are the property of Research In Motion Limited and are registered and/or used in the U.S. and countries around the world.

Bluetooth is a trademark of Bluetooth SIG. IBM Lotus Domino and IBM Lotus Notes are trademarks of International Business Machines Corporation. iTunes is a trademark of Apple Inc. iTunes is not endorsed in any manner by Research In Motion Limited. Microsoft ActiveSync, Microsoft Exchange, Microsoft Outlook, Windows Media, Windows Mobile and Windows XP are trademarks of Microsoft Corporation. Palm is a trademark of Palm Trademark Holding Company, LLC. Roxio is a trademark of Sonic Solutions. All other trademarks are the property of their respective owners.

The BlackBerry smartphone and other devices and/or associated software are protected by copyright, international treaties, and various patents, including one or more of the following U.S. patents: 6,278,442; 6,271,605; 6,219,694; 6,075,470; 6,073,318; D445,428; D433,460; D416,256. Other patents are registered or pending in the U.S. and in various countries around the world. Visit www.rim.com/patents for a list of RIM (as hereinafter defined) patents.

This documentation including all documentation incorporated by reference herein such as documentation provided or made available at www.blackberry.com/go/docs is provided or made accessible "AS IS" and "AS AVAILABLE" and without condition, endorsement, guarantee, representation, or warranty of any kind by Research In Motion Limited and its affiliated companies ("RIM") and RIM assumes no responsibility for any typographical, technical, or other inaccuracies, errors, or omissions in this documentation. In order to protect RIM proprietary and confidential information and/or trade secrets, this documentation may describe some aspects of RIM technology in generalized terms. RIM reserves the right to periodically change information that is contained in this documentation; however, RIM makes no commitment to provide any such changes, updates, enhancements, or other additions to this documentation to you in a timely manner or at all.

This documentation might contain references to third-party sources of information, hardware or software, products or services including components and content such as content protected by copyright and/or third-party web sites (collectively the "Third Party Products and Services"). RIM does not control, and is not responsible for, any Third Party Products and Services including, without limitation the content, accuracy, copyright compliance, compatibility, performance, trustworthiness, legality, decency, links, or any other aspect of Third Party Products and Services. The inclusion of a reference to Third Party Products and Services in this documentation does not imply endorsement by RIM of the Third Party Products and Services or the third party in any way.

EXCEPT TO THE EXTENT SPECIFICALLY PROHIBITED BY APPLICABLE LAW IN YOUR JURISDICTION, ALL CONDITIONS, ENDORSEMENTS, GUARANTEES, REPRESENTATIONS, OR WARRANTIES OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION, ANY CONDITIONS, ENDORSEMENTS, GUARANTEES, REPRESENTATIONS OR WARRANTIES OF DURABILITY, FITNESS FOR A PARTICULAR PURPOSE OR USE, MERCHANTABILITY, MERCHANTABLE QUALITY, NON-INFRINGEMENT, SATISFACTORY QUALITY, OR TITLE, OR ARISING FROM A STATUTE OR CUSTOM OR A COURSE OF DEALING OR USAGE OF TRADE, OR RELATED TO THE DOCUMENTATION OR ITS USE, OR PERFORMANCE OR NON-PERFORMANCE OF ANY SOFTWARE, HARDWARE, SERVICE, OR ANY THIRD PARTY PRODUCTS AND SERVICES REFERENCED HEREIN, ARE HEREBY EXCLUDED. YOU MAY ALSO HAVE OTHER RIGHTS THAT VARY BY STATE OR PROVINCE. SOME JURISDICTIONS MAY NOT ALLOW THE EXCLUSION OR LIMITATION OF IMPLIED WARRANTIES AND CONDITIONS. TO THE EXTENT PERMITTED BY LAW, ANY IMPLIED WARRANTIES OR CONDITIONS RELATING TO THE DOCUMENTATION TO THE EXTENT THEY CANNOT BE EXCLUDED AS SET OUT ABOVE, BUT CAN BE LIMITED, ARE HEREBY LIMITED TO NINETY (90) DAYS FROM THE DATE YOU FIRST ACQUIRED THE DOCUMENTATION OR THE ITEM THAT IS THE SUBJECT OF THE CLAIM.

TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW IN YOUR JURISDICTION, IN NO EVENT SHALL RIM BE LIABLE FOR ANY TYPE OF DAMAGES RELATED TO THIS DOCUMENTATION OR ITS USE, OR PERFORMANCE OR NON-PERFORMANCE OF ANY SOFTWARE, HARDWARE, SERVICE, OR ANY THIRD PARTY PRODUCTS AND SERVICES REFERENCED HEREIN INCLUDING WITHOUT LIMITATION ANY OF THE FOLLOWING DAMAGES: DIRECT, CONSEQUENTIAL, EXEMPLARY, INCIDENTAL, INDIRECT, SPECIAL, PUNITIVE, OR AGGRAVATED DAMAGES, DAMAGES FOR LOSS OF PROFITS OR REVENUES, FAILURE TO REALIZE ANY EXPECTED SAVINGS, BUSINESS INTERRUPTION, LOSS OF BUSINESS INFORMATION, LOSS OF BUSINESS OPPORTUNITY, OR CORRUPTION OR LOSS OF DATA, FAILURES TO TRANSMIT OR RECEIVE ANY DATA, PROBLEMS ASSOCIATED WITH ANY APPLICATIONS USED IN CONJUNCTION WITH RIM PRODUCTS OR SERVICES, DOWNTIME COSTS, LOSS OF THE USE OF RIM PRODUCTS OR SERVICES OR ANY PORTION THEREOF OR OF ANY AIRTIME SERVICES, COST OF SUBSTITUTE GOODS, COSTS OF COVER, FACILITIES OR SERVICES, COST OF CAPITAL, OR OTHER SIMILAR PECUNIARY LOSSES, WHETHER OR NOT SUCH DAMAGES WERE FORESEEN OR UNFORESEEN, AND EVEN IF RIM HAS BEEN ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.

TO THE MAXIMUM EXTENT PERMITTED BY APPLICABLE LAW IN YOUR JURISDICTION, RIM SHALL HAVE NO OTHER OBLIGATION, DUTY, OR LIABILITY WHATSOEVER IN CONTRACT, TORT, OR OTHERWISE TO YOU INCLUDING ANY LIABILITY FOR NEGLIGENCE OR STRICT LIABILITY.

THE LIMITATIONS, EXCLUSIONS, AND DISCLAIMERS HEREIN SHALL APPLY: (A) IRRESPECTIVE OF THE NATURE OF THE CAUSE OF ACTION, DEMAND, OR ACTION BY YOU INCLUDING BUT NOT LIMITED TO BREACH OF CONTRACT, NEGLIGENCE, TORT, STRICT LIABILITY OR ANY OTHER LEGAL THEORY AND SHALL SURVIVE A FUNDAMENTAL BREACH OR BREACHES OR THE FAILURE OF THE ESSENTIAL PURPOSE OF THIS AGREEMENT OR OF ANY REMEDY CONTAINED HEREIN; AND (B) TO RIM AND ITS AFFILIATED COMPANIES, THEIR SUCCESSORS, ASSIGNS, AGENTS, SUPPLIERS (INCLUDING AIRTIME SERVICE PROVIDERS), AUTHORIZED RIM DISTRIBUTORS (ALSO INCLUDING AIRTIME SERVICE PROVIDERS) AND THEIR RESPECTIVE DIRECTORS, EMPLOYEES, AND INDEPENDENT CONTRACTORS.

IN ADDITION TO THE LIMITATIONS AND EXCLUSIONS SET OUT ABOVE, IN NO EVENT SHALL ANY DIRECTOR, EMPLOYEE, AGENT, DISTRIBUTOR, SUPPLIER, INDEPENDENT CONTRACTOR OF RIM OR ANY AFFILIATES OF RIM HAVE ANY LIABILITY ARISING FROM OR RELATED TO THE DOCUMENTATION.

Prior to subscribing for, installing, or using any Third Party Products and Services, it is your responsibility to ensure that your airtime service provider has agreed to support all of their features. Some airtime service providers might not offer Internet browsing functionality with a subscription to the BlackBerry® Internet Service. Check with your service provider for availability, roaming arrangements, service plans and features. Installation or use of Third Party Products and Services with RIM's products and services may require one or more patent, trademark, copyright, or other licenses in order to avoid infringement or violation of third party rights. You are solely responsible for determining whether to use Third Party Products and Services and if any third party licenses are required to do so. If required you are responsible for acquiring them. You should not install or use Third Party Products and Services until all necessary licenses have been acquired. Any Third Party Products and Services that are provided with RIM's products and services are provided as a convenience to you and are provided "AS IS" with no express or implied conditions, endorsements, guarantees, representations, or warranties of any kind by RIM and RIM assumes no liability whatsoever, in relation thereto. Your use of Third Party Products and Services shall be governed by and subject to you agreeing to the terms of separate licenses and other agreements applicable thereto with third parties, except to the extent expressly covered by a license or other agreement with RIM.

Certain features outlined in this documentation require a minimum version of BlackBerry® Enterprise Server, BlackBerry® Desktop Software, and/or BlackBerry® Device Software.

The terms of use of any RIM product or service are set out in a separate license or other agreement with RIM applicable thereto. NOTHING IN THIS DOCUMENTATION IS INTENDED TO SUPERSEDE ANY EXPRESS WRITTEN AGREEMENTS OR WARRANTIES PROVIDED BY RIM FOR PORTIONS OF ANY RIM PRODUCT OR SERVICE OTHER THAN THIS DOCUMENTATION.

Research In Motion Limited
295 Phillip Street
Waterloo, ON N2L 3W8
Canada

Research In Motion UK Limited
Centrum House
36 Station Road
Egham, Surrey TW20 9LF
United Kingdom

Published in Canada

Parent topic: BlackBerry Desktop Software Online Help